Package Asm

## Enum UAL.Op

- java.lang.Object
- - java.lang.Enum<UAL.Op>
  - - Asm.UAL.Op

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UAL.Op>`
  Enclosing class:
    UAL

      public static enum UAL.Op
      extends java.lang.Enum<UAL.Op>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` |
    `AND` |
    `DIV` |
    `MOD` |
    `MUL` |
    `OR` |
    `SL` |
    `SR` |
    `SUB` |
    `XOR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UAL.Op` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UAL.Op[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final UAL.Op ADD

    - #### SUB

          public static final UAL.Op SUB

    - #### MUL

          public static final UAL.Op MUL

    - #### DIV

          public static final UAL.Op DIV

    - #### MOD

          public static final UAL.Op MOD

    - #### XOR

          public static final UAL.Op XOR

    - #### AND

          public static final UAL.Op AND

    - #### OR

          public static final UAL.Op OR

    - #### SL

          public static final UAL.Op SL

    - #### SR

          public static final UAL.Op SR

  - ### Method Detail

    - #### values

          public static UAL.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UAL.Op c : UAL.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UAL.Op valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null